<template>
  <div>
    <h1 v-for="goal in goals">{{ goal.title }}
      <nuxt-link class="underline ml-1" :to="{ name: 'goals-id', params: {id: goal.title } }">
        view
      </nuxt-link>
      <nuxt-link class="underline ml-1" :to="{ name: 'goals-update-id', params: {id: goal.title } }">
        update
      </nuxt-link>
      <button class="underline ml-1" @click="vxm.goals.remove(goal)">
        remove
      </button>
    </h1>
    <nuxt-link class="underline ml-1" :to="{ name: 'goals-create' }">create</nuxt-link>
  </div>
</template>

<script lang="ts">
  import Vue from 'vue'
  import { Goal } from '~/utils/models'
  import { vxm } from '~/store/store'
  import storeTemplateAccess from '~/mixins/storeTemplateAccess'

  export default Vue.extend({
    mixins: [storeTemplateAccess],

    data () {
      const goals: Goal[] = vxm.goals.list
      return {
        goals
      }
    },
  })
</script>
